--- title: "Get SSO user list of group" slug: "get-group-users" updated: 2026-09-17T10:05:35Z published: 2026-09-17T10:05:35Z canonical: "api.ncloud-docs.com/get-group-users" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get SSO user list of group Available in Classic and VPC Get the list of SSO users added to a group. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/groups/{groupId}/users | ### Request headers For information about the headers common to all Ncloud Single Sign-On APIs, see [Ncloud Single Sign-On request headers](/docs/en/single-sign-on-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `groupId` | String | Required | Group ID - See [Get group list](/docs/en/get-groups) | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `searchWord` | String | Optional | Search keyword - When `status` is entered in `searchColumn`, search with `active` (in use, enabled) or `suspended` (suspended, disabled) - If you enter a value that does not match in whole or in part with `searchColumn`, `items` is displayed as an empty value `[]` in the response - If you request without `searchColumn`, the entire list is displayed | | `searchColumn` | String | Conditional | Search column - `loginId` \| `status` \| `nrn` \| `userId` - `loginId`: SSO user login ID - `status`: SSO user status - `nrn`: NAVER Cloud Platform resource identification value for SSO user - `userId`: SSO user ID - Required when entering `searchWord` | | `page` | Integer | Optional | Page number - 0-N (default: 0) | | `size` | Integer | Optional | Page output count - 1-N (default: 20) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://sso.apigw.ntruss.com/api/v1/groups/12cfbd94-****-****-****-2ff725201395/users?searchColumn=loginId&searchWord=******@ncloud.com&page=0&size=20' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `page` | Number | - | Page number | | `totalPages` | Number | - | Total number of pages | | `totalItems` | Number | - | Number of response results | | `isFirst` | Boolean | - | Whether it is the first page - `true` \| `false` - `true`: first page - `false`: not a first page | | `isLast` | Boolean | - | Whether it is the last page - `true` \| `false` - `true`: last page - `false`: not a last page | | `hasPrevious` | Boolean | - | Whether previous page exists - `true` \| `false` - `true`: It exists - `false`: It doesn't exist | | `hasNext` | Boolean | - | Whether next page exists - `true` \| `false` - `true`: It exists - `false`: It doesn't exist | | `items` | Array | - | SSO user list: [items](/docs/en/get-group-users#items) | #### `items` The following describes `items`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `userId` | String | - | SSO user ID | | `loginId` | String | - | SSO user login ID | | `nrn` | String | - | NAVER Cloud Platform resource identification value for SSO user | | `userProfile` | Object | - | SSO user profile information | | `userProfile.firstName` | String | - | SSO user name | | `userProfile.lastName` | String | - | SSO user last name | | `userProfile.email` | String | - | SSO user email address | | `userProfile.emailVerified` | Boolean | - | Email address verification status - `true` \| `false` - `true`: verification completed - `false`: verification required | | `userProfile.empNo` | String | - | SSO user employee number | | `userProfile.phoneCountryCode` | String | - | SSO user country number | | `userProfile.phoneNo` | String | - | SSO user mobile phone number | | `userProfile.phoneNoVerified` | Boolean | - | Mobile phone number verification status - `true` \| `false` - `true`: verification completed - `false`: verification required | | `userProfile.deptName` | String | - | SSO user department name | | `accessRules` | Object | - | Access rule information | | `accessRules.consoleAccessAllowed` | Boolean | - | Whether to allow console access - `true` \| `false` - `true`: allow - `false`: not allow | | `accessRules.apiAccessAllowed` | Boolean | - | Whether to allow API Gateway access - `true` \| `false` - `true`: allow - `false`: not allow | | `status` | String | - | SSO user status - `active` \| `suspended` - `active`: in use (enabled) - `suspended`: suspended (disabled) | | `lastLoginAt` | String | - | SSO user last access date and time - ISO 8601 format | | `createdAt` | String | - | SSO user creation date and time - ISO 8601 format | | `updatedAt` | String | - | SSO user modification date and time - ISO 8601 format | | `description` | String | - | SSO user description | ### Response status codes For information about the response status codes common to all Ncloud Single Sign-On APIs, see [Ncloud Single Sign-On response status codes](/docs/en/single-sign-on-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "page": 0, "totalPages": 1, "totalItems": 1, "isFirst": true, "isLast": true, "hasPrevious": false, "hasNext": false, "items": [ { "userId": "4e6bf5f2-****-****-****-3ffcef11bb7e", "loginId": "******@ncloud.com", "nrn": "nrn:PUB:SSO::*******:User/4e6bf5f2-****-****-****-3ffcef11bb7e", "userProfile": { "firstName": "Gildong", "lastName": "Hong", "email": "******@ncloud.com", "empNo": "00112233", "phoneCountryCode": "82", "phoneNo": "010-0000-0000", "deptName": "Department" }, "accessRules": { "consoleAccessAllowed": true, "apiAccessAllowed": true }, "status": "active", "createdAt": "2025-01-13T02:54:42Z", "updatedAt": "2025-01-13T05:25:45Z", "description": "SSO User" } ] } ```